Package ch.qos.logback.classic.servlet

# Class LogbackServletContextListener

java.lang.Object
ch.qos.logback.classic.servlet.LogbackServletContextListener

All Implemented Interfaces:
  `EventListener`, `javax.servlet.ServletContextListener`

public class LogbackServletContextListener extends Object implements javax.servlet.ServletContextListener
Allows for graceful shutdown of the `LoggerContext` associated with this web-app.

Since:
  1.1.10
Author:
  Ceki Gulcu

## Constructor Summary

Constructors
Constructor
Description
`LogbackServletContextListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`contextDestroyed(javax.servlet.ServletContextEvent sce)`
`void`
`contextInitialized(javax.servlet.ServletContextEvent sce)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogbackServletContextListener

public LogbackServletContextListener()

## Method Details

### contextInitialized

public void contextInitialized(javax.servlet.ServletContextEvent sce)

Specified by:
  `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

public void contextDestroyed(javax.servlet.ServletContextEvent sce)

Specified by:
  `contextDestroyed` in interface `javax.servlet.ServletContextListener`